STRTOIMAX(3)

NOM
strtoimax, strtoumax - Convertir une chaîne de caractères en entier

SYNOPSIS
#include <inttypes.h>

intmax_t strtoimax(const char *nptr, char **endptr, int base);
uintmax_t strtoumax(const char *nptr, char **endptr, int base);

DESCRIPTION
Ces fonctions sont similaires à strtol(3) et strtoul(3), excepté qu'elles retournent respectivement une valeur de type intmax_t et uintmax_t.

CONFORMITÉ
C99, POSIX.1-2001.

VOIR AUSSI
imaxabs(3), imaxdiv(3), strtol(3), strtoul(3), wcstoimax(3)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 4 juillet 2005 et révisée le 13 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 strtoimax ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.